<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.lukouguoji.gjc.viewModel.GjcGoodsListViewModel" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_f2"
        android:orientation="vertical"
        tools:context=".activity.GjcGoodsListActivity">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/bg_search_row"
                android:onClick="@{viewModel::flightDateClick}"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:hint="请选择航班日期"
                    android:text="@{viewModel.flightDate}"
                    android:textSize="15dp" />

                <ImageView
                    android:id="@+id/wbNoScanIcon"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_gravity="center"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:src="@mipmap/img_date" />

            </LinearLayout>

            <!-- 承运人               -->
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="20dp"
                android:layout_weight="1"
                android:background="@drawable/bg_search_row"
                android:orientation="horizontal">

                <EditText
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/input_edit_text"
                    android:gravity="center"
                    android:hint="请输入航班号"
                    android:imeOptions="actionDone"
                    android:inputType="text"
                    android:singleLine="true"
                    android:text="@={viewModel.flightNo}"
                    android:textSize="15dp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="20dp"
                android:layout_weight="1"
                android:background="@drawable/bg_search_row"
                android:orientation="horizontal">

                <EditText
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/input_edit_text"
                    android:gravity="center"
                    android:hint="请输入板车号"
                    android:imeOptions="actionDone"
                    android:inputType="text"
                    android:singleLine="true"
                    android:text="@={viewModel.truckNo}"
                    android:textSize="15dp" />

                <ImageView
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_gravity="center"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:onClick="@{viewModel::truckNoScan}"
                    android:src="@mipmap/scan_code" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="20dp"
                android:layout_weight="1"
                android:background="@drawable/bg_search_row"
                android:orientation="horizontal">

                <EditText
                    android:id="@+id/et_uld"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/input_edit_text"
                    android:gravity="center"
                    android:hint="请输入ULD编号"
                    android:imeOptions="actionDone"
                    android:inputType="text"
                    android:singleLine="true"
                    android:text="@={viewModel.uldNo}"
                    android:textSize="15dp" />

                <ImageView
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_gravity="center"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:onClick="@{viewModel::uldNoScan}"
                    android:src="@mipmap/scan_code" />

            </LinearLayout>

            <!--            搜索图标-->
            <LinearLayout
                android:id="@+id/ll_search"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_marginLeft="20dp"
                android:background="@drawable/search_shape_gnc_ware_house2"
                android:onClick="@{viewModel::searchClick}"
                android:padding="10dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:src="@mipmap/search"
                    app:tint="@color/colorPrimary" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_add"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_marginLeft="20dp"
                android:background="@drawable/search_shape_gnc_ware_house2"
                android:onClick="@{viewModel::addClick}"
                android:padding="10dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:src="@mipmap/add"
                    app:tint="@color/colorPrimary" />
            </LinearLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="0.8" />

        </LinearLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/srl"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="10dp"
            android:layout_weight="1">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/item_gjc_goods" />

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        <TextView
            android:id="@+id/tv_total"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#5c6890"
            android:gravity="center_vertical"
            android:paddingLeft="15dp"
            android:text='@{"合计：" + viewModel.count +"票"}'
            android:textColor="@color/white"
            android:textSize="16sp"
            android:textStyle="bold" />

    </androidx.appcompat.widget.LinearLayoutCompat>

</layout>